# coding=utf-8

import functools


def baselog(text=''):

    def decorator(func):
        @functools.wraps(func)
        def wrapper(*args, **kwargs):
            print("%s %s Begin" % text, func.__name__)
            obj = func(*args, **kwargs)
            print("Done!")
            return obj
        return wrapper
    return decorator

